| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::SampledImageSlot Struct Reference

`#include <shader_types.h>`

## Public Member Functions
constexpr bool | HasTexture () const
constexpr bool | HasSampler () const

## Public Attributes
const char * | name
size_t | texture_index
size_t | sampler_index
size_t | binding
size_t | set

## Detailed Description

Definition at line 129 of file shader_types.h.

## Member Function Documentation

## ◆ HasSampler()

constexpr bool impeller::SampledImageSlot::HasSampler | ( |  | ) | const
| inline constexpr

Definition at line 138 of file shader_types.h.

138 { return sampler_index < 32u; }

References sampler_index.

Referenced by impeller::ComputeCommand::BindResource(), and impeller::Command::BindResource().

## ◆ HasTexture()

constexpr bool impeller::SampledImageSlot::HasTexture | ( |  | ) | const
| inline constexpr

Definition at line 136 of file shader_types.h.

136 { return texture_index < 32u; }

References texture_index.

Referenced by impeller::ComputeCommand::BindResource(), and impeller::Command::BindResource().

## Member Data Documentation

## ◆ binding

size_t impeller::SampledImageSlot::binding

Definition at line 133 of file shader_types.h.

Referenced by impeller::AllocateAndBindDescriptorSets().

## ◆ name

const char* impeller::SampledImageSlot::name

Definition at line 130 of file shader_types.h.

Referenced by impeller::RuntimeEffectContents::Render().

## ◆ sampler_index

size_t impeller::SampledImageSlot::sampler_index

Definition at line 132 of file shader_types.h.

Referenced by impeller::ComputeCommand::BindResource(), impeller::Command::BindResource(), HasSampler(), and impeller::RuntimeEffectContents::Render().

## ◆ set

size_t impeller::SampledImageSlot::set

Definition at line 134 of file shader_types.h.

## ◆ texture_index

size_t impeller::SampledImageSlot::texture_index

Definition at line 131 of file shader_types.h.

Referenced by HasTexture(), and impeller::RuntimeEffectContents::Render().

The documentation for this struct was generated from the following file:

- impeller/core/shader_types.h

impeller::SampledImageSlot::sampler_index
size_t sampler_index
Definition: shader_types.h:132
impeller::SampledImageSlot::texture_index
size_t texture_index
Definition: shader_types.h:131